Subject: bug#37397: 26.2; less-than-character cuts off end of pre tag in eww

From: Kevin Brubeck Unhammer <[email-masked]>
Date: Fri, 13 Sep 2019 13:25:50 +0200

Robert Pluim <[email-masked]> čálii:

> The source html is incorrect: it should have written those '<' as
> '&lt;'. <pre> does not mean 'anything goes'.

It does show up "correctly" in Firefox and Chromium though. With a
string such as "<)" (or perhaps "<" followed by anything other than
[a-zA-Z/]), it's obviously not a tag of any sort, so why not just print
it literally? I've noticed the problem on other pages as well – and even
MDC's example on <pre> usage has literal angle brackets:
https://developer.mozilla.org/en-US/docs/Web/HTML/Element/pre#Example_2
though eww shows those just fine.

Although looking at shr, it seems it calls to libxml-parse-html-region,
so I suppose it's not something easily fixed on the Emacs side anyway.